Bug 833685 - bsf-3.1 is available
bsf-3.1 is available
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bsf (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andy Grimm
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-20 03:02 EDT by Upstream Release Monitoring
Modified: 2016-11-07 22:46 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-25 21:55:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-06-20 03:02:41 EDT
Latest upstream release: 3.1
Current version in Fedora Rawhide: 2.4.0
URL: http://archive.apache.org/dist/jakarta/bsf/source/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Andy Grimm 2012-07-12 10:31:42 EDT
It appears that BSF 3.x is not at all compatible with 2.x.   It also appears that the primary goal of BSF 3.x was to implement JSR-223 for older versions of Java (1.4 and 1.5).  The website claims "Apache BSF 3.x is also useful for Java 1.6 as it contains a command-line utility for testing JSR-223 scripts as well as some utility classes for working with XML," but that's a completely separate use case.

BSF 3.x may someday replace 2.4, but right now we critical java packages depending on Bean Shell (BSH), which depends on BSF 2.4. BSH is dormant, as is JSR-274, the attempt to get Bean Shell into J2SE.  Based on that, I'm inclined to make this a "won't fix" or "can't fix".

Note You need to log in before you can comment on or make changes to this bug.